### Struct

# Gdk ContentFormatsBuilder

since: 4.0

#### Description [src]

    struct GdkContentFormatsBuilder {
      /* No available fields */
    }

A `GdkContentFormatsBuilder` is an auxiliary struct used to create new `GdkContentFormats`, and should not be kept around.

Available since: 4.0

#### Constructors

###### gdk_content_formats_builder_new

Create a new `GdkContentFormatsBuilder` object.

since: 4.0

#### Instance methods

###### gdk_content_formats_builder_add_formats

Appends all formats from `formats` to `builder`, skipping those that already exist.

since: 4.0

###### gdk_content_formats_builder_add_gtype

Appends `type` to `builder` if it has not already been added.

since: 4.0

###### gdk_content_formats_builder_add_mime_type

Appends `mime_type` to `builder` if it has not already been added.

since: 4.0

###### gdk_content_formats_builder_free_to_formats

Creates a new `GdkContentFormats` from the current state of the given `builder`, and frees the `builder` instance.

since: 4.0

###### gdk_content_formats_builder_ref

Acquires a reference on the given `builder`.

since: 4.0

###### gdk_content_formats_builder_to_formats

Creates a new `GdkContentFormats` from the given `builder`.

since: 4.0

###### gdk_content_formats_builder_unref

Releases a reference on the given `builder`.

since: 4.0